Bug 1270306 (CVE-2015-5288) - CVE-2015-5288 postgresql: limited memory disclosure flaw in crypt()
Summary: CVE-2015-5288 postgresql: limited memory disclosure flaw in crypt()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-5288
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1270314 1270315 1273440 1273441 1273442 1273443 1273445 1273446 1273780 1273781 1274649
Blocks: 1270313
TreeView+ depends on / blocked
 
Reported: 2015-10-09 14:42 UTC by Adam Mariš
Modified: 2019-11-14 07:02 UTC (History)
19 users (show)

Fixed In Version: postgresql 9.4.5, postgresql 9.3.10, postgresql 9.2.14, postgresql 9.1.19, postgresql 9.0.23
Doc Type: Bug Fix
Doc Text:
A memory leak error was discovered in the crypt() function of the pgCrypto extension. An authenticated attacker could possibly use this flaw to disclose a limited amount of the server memory.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:43:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2077 normal SHIPPED_LIVE Moderate: rh-postgresql94-postgresql security update 2015-11-18 20:53:20 UTC
Red Hat Product Errata RHSA-2015:2078 normal SHIPPED_LIVE Moderate: postgresql security update 2015-11-19 12:54:06 UTC
Red Hat Product Errata RHSA-2015:2081 normal SHIPPED_LIVE Moderate: postgresql security update 2015-11-18 20:36:49 UTC
Red Hat Product Errata RHSA-2015:2083 normal SHIPPED_LIVE Moderate: postgresql92-postgresql security update 2015-11-18 20:53:37 UTC

Description Adam Mariš 2015-10-09 14:42:18 UTC
A vulnerability in crypt() function in pgCrypto extension was found. Certain short salts can crash the backend or disclose a few bytes of backend memory.

Upstream patch:

http://git.postgresql.org/gitweb/?p=postgresql.git;a=commit;h=1d812c8b059d0b9b1fba4a459c9876de0f6259b6

External reference:

http://www.postgresql.org/about/news/1615/

Comment 1 Adam Mariš 2015-10-09 14:54:05 UTC
Created mingw-postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1270315]

Comment 2 Adam Mariš 2015-10-09 14:54:11 UTC
Created postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1270314]

Comment 12 errata-xmlrpc 2015-11-18 15:37:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:2081 https://rhn.redhat.com/errata/RHSA-2015-2081.html

Comment 13 errata-xmlrpc 2015-11-18 15:55:18 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS

Via RHSA-2015:2077 https://rhn.redhat.com/errata/RHSA-2015-2077.html

Comment 14 errata-xmlrpc 2015-11-18 15:55:54 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS

Via RHSA-2015:2083 https://rhn.redhat.com/errata/RHSA-2015-2083.html

Comment 15 errata-xmlrpc 2015-11-19 15:10:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2078 https://rhn.redhat.com/errata/RHSA-2015-2078.html


Note You need to log in before you can comment on or make changes to this bug.